org.icefaces.ace.component.gmap

## Interface IGMap

- All Known Implementing Classes:
    GMap, GMapBase

      public interface IGMap

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getOldLatitude()`
    `java.lang.String` | `getOldLongitude()`
    `java.lang.String` | `getOldType()`
    `java.lang.String` | `getOldZoomLevel()`
    `java.lang.String` | `getOptions()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getZoomLevel()`
    `boolean` | `isIntialized()`
    `boolean` | `isLocateAddress()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setIntialized(boolean intialized)`
    `void` | `setLatitude(java.lang.String latitude)`
    `void` | `setLocateAddress(boolean locateAddress)`
    `void` | `setLongitude(java.lang.String longitude)`
    `void` | `setOldLatitude(java.lang.String oldLatitude)`
    `void` | `setOldLongitude(java.lang.String oldLongitude)`
    `void` | `setOldType(java.lang.String oldType)`
    `void` | `setOldZoomLevel(java.lang.String oldZoomLevel)`
    `void` | `setOptions(java.lang.String options)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setType(java.lang.String type)`
    `void` | `setZoomLevel(java.lang.String zoomLevel)`

- - ### Method Detail

    - #### setAddress

          void setAddress(java.lang.String address)

    - #### getAddress

          java.lang.String getAddress()

    - #### setIntialized

          void setIntialized(boolean intialized)

    - #### isIntialized

          boolean isIntialized()

    - #### setLatitude

          void setLatitude(java.lang.String latitude)

    - #### getLatitude

          java.lang.String getLatitude()

    - #### setLocateAddress

          void setLocateAddress(boolean locateAddress)

    - #### isLocateAddress

          boolean isLocateAddress()

    - #### setLongitude

          void setLongitude(java.lang.String longitude)

    - #### getLongitude

          java.lang.String getLongitude()

    - #### setOptions

          void setOptions(java.lang.String options)

    - #### getOptions

          java.lang.String getOptions()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

    - #### setZoomLevel

          void setZoomLevel(java.lang.String zoomLevel)

    - #### getZoomLevel

          java.lang.String getZoomLevel()

    - #### setOldLatitude

          void setOldLatitude(java.lang.String oldLatitude)

    - #### getOldLatitude

          java.lang.String getOldLatitude()

    - #### setOldLongitude

          void setOldLongitude(java.lang.String oldLongitude)

    - #### getOldLongitude

          java.lang.String getOldLongitude()

    - #### setOldType

          void setOldType(java.lang.String oldType)

    - #### getOldType

          java.lang.String getOldType()

    - #### setOldZoomLevel

          void setOldZoomLevel(java.lang.String oldZoomLevel)

    - #### getOldZoomLevel

          java.lang.String getOldZoomLevel()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.